C+
C NAME:
C	iGetDefaultDir
C PURPOSE:
C	Get current working directory
C CATEGORY:
C	Environment
C CALLING SEQUENCE:
	function iGetDefaultDir(cDir)
C INPUTS:
C	(none)
C OUTPUTS:
C	cDir	character*(*)		Fully qualified directory name current directory
C CALLS:
C	iCheckDirectory, iGetFileSpec
C INCLUDE:
	include		'dirspec.h'
	include		'filparts.h'
C RESTRICTIONS:
C DEPENDENCY TREE:
C	iGetDefaultDir
C		iGetFilespec
C		iCheckDirectory
C SIDE EFFECTS:
C PROCEDURE:
C MODIFICATION HISTORY:
C	JUL-2000, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C	   Added more documentation
C-
	    character	cDir*(*)

	if (iCheckDirectory(cFullDefault) .eq. 1) then
	    iGetDefaultDir = iGetFileSpec(0,FIL__DIRECTORY,cDir)	! Return length of cDir
	else
	    iGetDefaultDir = 0
	end if

	return
	end
